Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableInterceptor
Interface ClientRequestInfo

All Superinterfaces:
  ClientRequestInfoOperations, IDLEntity, Object, RequestInfo, RequestInfoOperations, Serializable

    public interface ClientRequestInfo

extends ClientRequestInfoOperations, RequestInfo, IDLEntity

Request Information, accessible to client-side request interceptors.

Some attributes and operations on `ClientRequestInfo` are not valid at all interception points. The following table shows the validity of each attribute or operation. If it is not valid, attempting to access it will result in a `BAD_INV_ORDER` being thrown with a standard minor code of 14.

| send_request | send_poll | receive_reply | receive_exception | receive_other
--- | --- | --- | --- | --- | ---
Inherited from RequestInfo:
request_id | yes | yes | yes | yes | yes
operation | yes | yes | yes | yes | yes
arguments | yes1 | no | yes | no | no
exceptions | yes | no | yes | yes | yes
contexts | yes | no | yes | yes | yes
operation_context | yes | no | yes | yes | yes
result | no | no | yes | no | no
response_expected | yes | yes | yes | yes | yes
sync_scope | yes | no | yes | yes | yes
reply_status | no | no | yes | yes | yes
forward_reference | no | no | no | no | yes2
get_slot | yes | yes | yes | yes | yes
get_request_service_context | yes | no | yes | yes | yes
get_reply_service_context | no | no | yes | yes | yes
ClientRequestInfo-specific:
target | yes | yes | yes | yes | yes
effective_target | yes | yes | yes | yes | yes
effective_profile | yes | yes | yes | yes | yes
received_exception | no | no | no | yes | no
received_exception_id | no | no | no | yes | no
get_effective_component | yes | no | yes | yes | yes
get_effective_components | yes | no | yes | yes | yes
get_request_policy | yes | no | yes | yes | yes
add_request_service_context | yes | no | no | no | no

1. When `ClientRequestInfo` is passed to `send_request`, there is an entry in the list for every argument, whether in, inout, or out. But only the in and inout arguments will be available.
2. If the `reply_status` atribute is not `LOCATION_FORWARD`, accessing this attribute will throw `BAD_INV_ORDER` with a standard minor code of 14.

See Also:
  `ClientRequestInterceptor`

Method Summary

Methods inherited from interface org.omg.PortableInterceptor.ClientRequestInfoOperations
`add_request_service_context, effective_profile, effective_target, get_effective_component, get_effective_components, get_request_policy, received_exception_id, received_exception, target`

Methods inherited from interface org.omg.PortableInterceptor.RequestInfoOperations
`arguments, contexts, exceptions, forward_reference, get_reply_service_context, get_request_service_context, get_slot, operation_context, operation, reply_status, request_id, response_expected, result, sync_scope`

Methods inherited from interface org.omg.PortableInterceptor.RequestInfoOperations
`arguments, contexts, exceptions, forward_reference, get_reply_service_context, get_request_service_context, get_slot, operation_context, operation, reply_status, request_id, response_expected, result, sync_scope`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.